STOFFStringStreamPrivate Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
STOFFStringStreamPrivate Class Reference

internal data of a STOFFStringStream More...

## Public Member Functions
| STOFFStringStreamPrivate (const unsigned char *data, unsigned dataSize)
| constructor More...
| ~STOFFStringStreamPrivate ()
| destructor More...
void | append (const unsigned char *data, unsigned dataSize)
| append some data at the end of the actual stream More...

## Public Attributes
std::vector< unsigned char > | m_buffer
| the stream buffer More...
long | m_offset
| the stream offset More...

## Private Member Functions
| STOFFStringStreamPrivate (const STOFFStringStreamPrivate &)
STOFFStringStreamPrivate & | operator= (const STOFFStringStreamPrivate &)

## Detailed Description

internal data of a STOFFStringStream

## Constructor & Destructor Documentation

STOFFStringStreamPrivate::STOFFStringStreamPrivate | ( | const unsigned char * | data,
|  | unsigned | dataSize
| ) |  |

constructor

STOFFStringStreamPrivate::~STOFFStringStreamPrivate | ( |  | ) |

destructor

STOFFStringStreamPrivate::STOFFStringStreamPrivate | ( | const STOFFStringStreamPrivate & |  | ) |
| private

## Member Function Documentation

void STOFFStringStreamPrivate::append | ( | const unsigned char * | data,
|  | unsigned | dataSize
| ) |  |

append some data at the end of the actual stream

Referenced by STOFFStringStream::append().

STOFFStringStreamPrivate& STOFFStringStreamPrivate::operator= | ( | const STOFFStringStreamPrivate & |  | ) |
| private

## Member Data Documentation

std::vector<unsigned char> STOFFStringStreamPrivate::m_buffer

the stream buffer

Referenced by append(), STOFFStringStream::isEnd(), STOFFStringStream::read(), STOFFStringStream::seek(), and STOFFStringStreamPrivate().

long STOFFStringStreamPrivate::m_offset

the stream offset

Referenced by STOFFStringStream::isEnd(), STOFFStringStream::read(), STOFFStringStream::seek(), and STOFFStringStream::tell().

The documentation for this class was generated from the following file:

- STOFFStringStream.cxx